%%
clear; close all; clc;

%% Initialize simulation configuration
opts_sim = struct(...
    'Tsim', 5 ...
);

initializeSimConf(opts_sim);

%% Initialize Inputs
opts_inputs = struct(...
    'Dw', true, ...
    'Ry', false, ...
    'Rz', true ...
);

initializeInputs(opts_inputs);

%% Initialize Ground
initializeGround();

%% Initialize Granite
initializeGranite();

%% Initialize Translation stage
initializeTy();

%% Initialize Tilt Stage
initializeRy();

%% Initialize Spindle
initializeRz();

%% Initialize Hexapod Symtrie
initializeMicroHexapod();

%% Initialize Center of Gravity compensation
initializeAxisc();

%% Initialize NASS
initializeNanoHexapod(struct('actuator', 'lorentz'));

%% Initialize the Mirror
initializeMirror(struct('shape', 'spherical'));

%% Initialize Sample
initializeSample(struct('mass', 20));

%% Controllers
K = tf(zeros(6));

K_iff = tf(zeros(6));

save('./mat/controllers.mat', 'K', 'K_iff');
