% Experiment
%   :PROPERTIES:
%   :header-args:matlab+: :tangle src/initializeExperiment.m
%   :header-args:matlab+: :comments org :mkdirp yes
%   :header-args:matlab+: :eval no :results none
%   :END:
%   <<sec:initializeExperiment>>

% This Matlab function is accessible [[file:src/initializeExperiment.m][here]].


function [] = initializeExperiment(exp_name, sys_mass)
    if strcmp(exp_name, 'tomography')
        opts_sim = struct(...
            'Tsim',    5, ...
            'cl_time', 5  ...
        );
        initializeSimConf(opts_sim);

        if strcmp(sys_mass, 'light')
            opts_inputs = struct(...
                'Dw', true,  ...
                'Rz', 60     ... % rpm
            );
        elseif strcpm(sys_mass, 'heavy')
            opts_inputs = struct(...
                'Dw', true,  ...
                'Rz', 1     ... % rpm
            );
        else
            error('sys_mass should be light or heavy');
        end

        initializeInputs(opts_inputs);
    else
        error('exp_name is only configured for tomography');
    end
end
