% Granite
%   :PROPERTIES:
%   :header-args:matlab+: :tangle src/initializeGranite.m
%   :header-args:matlab+: :comments org :mkdirp yes
%   :header-args:matlab+: :eval no :results none
%   :END:
%   <<sec:initializeGranite>>

% This Matlab function is accessible [[file:src/initializeGranite.m][here]].


function [granite] = initializeGranite()
    %%
    granite = struct();

    %% Static Properties
    granite.density = 2800; % [kg/m3]
    granite.volume  = 0.72; % [m3] TODO - should
    granite.mass    = granite.density*granite.volume; % [kg]
    granite.color   = [1 1 1];
    granite.STEP    = './STEPS/granite/granite.STEP';

    %% Dynamical Properties
    granite.k.x = 1e8; % [N/m]
    granite.c.x = 1e4; % [N/(m/s)]

    granite.k.y = 1e8; % [N/m]
    granite.c.y = 1e4; % [N/(m/s)]

    granite.k.z = 1e8; % [N/m]
    granite.c.z = 1e4; % [N/(m/s)]

    %% Positioning parameters
    granite.sample_pos = 0.8; % Z-offset for the initial position of the sample [m]

    %% Save
    save('./mat/stages.mat', 'granite', '-append');
end
